#!/bin/ksh

if [ "X${TIP_HOME}" = "X" ]; then
   echo "The TIP_HOME environment variable is not set"
   exit 1
fi

if [ ! -d backup ]; then
   mkdir backup
fi

tar -xf patch.psw sa/solaris64-sparc/isc/module/libs

for i in sa/solaris64-sparc/isc/module/libs/*.jar 
do
    j=`basename $i` 
    for k in `find $TIP_HOME -name $j | grep -v \.war\.old/WEB-INF/`
    do
        d=`dirname $k`
        if [ ! -d backup/${d} ]; then
            mkdir -p backup/${d}
        fi
        if [ ! -f backup/${k} ]; then
            cp $k backup/${k}
        fi
        cp $i $k
    done
done
